| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
cv::ximgproc::EdgeDrawing Class Referenceabstract
Extended Image Processing » EdgeDrawing

Class implementing the ED (EdgeDrawing) [273], EDLines [4], EDPF [5] and EDCircles [6] algorithms. More...

`#include <opencv2/ximgproc/edge_drawing.hpp>`

Collaboration diagram for cv::ximgproc::EdgeDrawing:

## Classes
struct | Params

## Public Types
enum | GradientOperator { PREWITT = 0 , SOBEL = 1 , SCHARR = 2 , LSD = 3 }

## Public Member Functions
virtual | ~EdgeDrawing ()
virtual void | detectEdges (InputArray src)=0
| Detects edges in a grayscale image and prepares them to detect lines and ellipses.
virtual void | detectEllipses (OutputArray ellipses)=0
| Detects circles and ellipses.
virtual void | detectLines (OutputArray lines)=0
| Detects lines.
virtual void | getEdgeImage (OutputArray dst)=0
| returns Edge Image prepared by detectEdges() function.
virtual void | getGradientImage (OutputArray dst)=0
| returns Gradient Image prepared by detectEdges() function.
virtual std::vector< int > | getSegmentIndicesOfLines () const =0
| Returns for each line found in detectLines() its edge segment index in getSegments()
virtual std::vector< std::vector< Point > > | getSegments ()=0
| Returns std::vector<std::vector<Point>> of detected edge segments, see detectEdges()
void | setParams (const EdgeDrawing::Params &parameters)
| sets parameters.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Public Attributes
Params | params

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the ED (EdgeDrawing) [273], EDLines [4], EDPF [5] and EDCircles [6] algorithms.

## Member Enumeration Documentation

## ◆ GradientOperator

enum cv::ximgproc::EdgeDrawing::GradientOperator

Enumerator
PREWITT |
SOBEL |
SCHARR |
LSD |

## Constructor & Destructor Documentation

## ◆ ~EdgeDrawing()

virtual cv::ximgproc::EdgeDrawing::~EdgeDrawing | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ detectEdges()

virtual void cv::ximgproc::EdgeDrawing::detectEdges | ( | InputArray | src | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.detectEdges( | src | ) -> | None

Detects edges in a grayscale image and prepares them to detect lines and ellipses.

Parameters

  src | 8-bit, single-channel, grayscale input image.

## ◆ detectEllipses()

virtual void cv::ximgproc::EdgeDrawing::detectEllipses | ( | OutputArray | ellipses | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.detectEllipses( | [, ellipses] | ) -> | ellipses

Detects circles and ellipses.

Parameters

  ellipses | output Vec<6d> contains center point and perimeter for circles, center point, axes and angle for ellipses.

Note
  you should call detectEdges() before calling this function.

## ◆ detectLines()

virtual void cv::ximgproc::EdgeDrawing::detectLines | ( | OutputArray | lines | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.detectLines( | [, lines] | ) -> | lines

Detects lines.

Parameters

  lines | output Vec<4f> contains the start point and the end point of detected lines.

Note
  you should call detectEdges() before calling this function.

## ◆ getEdgeImage()

virtual void cv::ximgproc::EdgeDrawing::getEdgeImage | ( | OutputArray | dst | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.getEdgeImage( | [, dst] | ) -> | dst

returns Edge Image prepared by detectEdges() function.

Parameters

  dst | returns 8-bit, single-channel output image.

## ◆ getGradientImage()

virtual void cv::ximgproc::EdgeDrawing::getGradientImage | ( | OutputArray | dst | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.getGradientImage( | [, dst] | ) -> | dst

returns Gradient Image prepared by detectEdges() function.

Parameters

  dst | returns 16-bit, single-channel output image.

## ◆ getSegmentIndicesOfLines()

virtual std::vector< int > cv::ximgproc::EdgeDrawing::getSegmentIndicesOfLines | ( |  | ) | const
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.getSegmentIndicesOfLines( |  | ) -> | retval

Returns for each line found in detectLines() its edge segment index in getSegments()

## ◆ getSegments()

virtual std::vector< std::vector< Point > > cv::ximgproc::EdgeDrawing::getSegments | ( |  | ) |
| pure virtual

Python:
| cv.ximgproc.EdgeDrawing.getSegments( |  | ) -> | retval

Returns std::vector<std::vector<Point>> of detected edge segments, see detectEdges()

## ◆ setParams()

void cv::ximgproc::EdgeDrawing::setParams | ( | const EdgeDrawing::Params & | parameters | ) |

Python:
| cv.ximgproc.EdgeDrawing.setParams( | parameters | ) -> | None

sets parameters.

this function is meant to be used for parameter setting in other languages than c++ like python.

Parameters

  parameters | Parameters of the algorithm

## Member Data Documentation

## ◆ params

Params cv::ximgproc::EdgeDrawing::params

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edge_drawing.hpp